import request from '@/utils/request'

export function getList(queryParams) {
  return request({
    url: '/base-data-manage/body-structure/body',
    method: 'get',
    param: queryParams
  })
}

export function addBodyStructure(data) {
  return request({
    url: '/base-data-manage/body-structure/body',
    method: 'post',
    data: data
  })
}

export function updateBodyStructure(data) {
  return request({
    url: '/base-data-manage/body-structure/body',
    method: 'post',
    data: data
  })
}

export function deleteBodyStructure(ids) {
  return request({
    url: '/base-data-manage/body-structure/body?ids=' + ids ,
    method: 'delete',
  })
}

export function getBodyStructureDetail(id) {
  return request({
    url: '/base-data-manage/body-structure/body?id=' + id,
    method: 'get',
  })
}
export function disableBodyStructure(id) {
  return request({
    url: '/base-data-manage/body-structure/body-inactive?id=' + id,
    method: 'put',
  })
}

export function enableBodyStructure(id) {
  return request({
    url: '/base-data-manage/body-structure/body-active?id=' + id,
    method: 'put',
  })
}
